/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.dao.hibernate;

import com.rjconsultores.ventaboletos.dao.ProductoServicioDAO;
import com.rjconsultores.ventaboletos.entidad.ProductoServicio;
import java.util.List;
import org.hibernate.Criteria;
import org.hibernate.SessionFactory;
import org.hibernate.criterion.Restrictions;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.stereotype.Repository;

/**
 *
 * @author Shiro
 */
@Repository("productoServicioDAO")
public class ProductoServicioHibernateDAO extends GenericHibernateDAO<ProductoServicio, Integer>
        implements ProductoServicioDAO {

    @Autowired
    public ProductoServicioHibernateDAO(@Qualifier("sessionFactory") SessionFactory factory) {
        setSessionFactory(factory);
    }

    @Override
    public List<ProductoServicio> obtenerTodos() {
        Criteria c = getSession().createCriteria(getPersistentClass());
        c.add(Restrictions.eq(ACTIVO, Boolean.TRUE));

        return c.list();
    }

    public List<ProductoServicio> obtener(ProductoServicio ps) {
        Criteria c = getSession().createCriteria(getPersistentClass());
        c.add(Restrictions.eq(ACTIVO, Boolean.TRUE));
        c.add(Restrictions.eq("descproductoservicio", ps.getDescproductoservicio()));
        c.add(Restrictions.eq("empresa", ps.getEmpresa()));
        
        return c.list();
    }
}
